Bug 2424 - uidNumber & gidNumber mismatch with rfc2307 LDAP definition
uidNumber & gidNumber mismatch with rfc2307 LDAP definition
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.11
All Linux
: P3 enhancement
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 16:07 UTC by Vince Brimhall
Modified: 2005-08-24 10:27 UTC (History)
1 user (show)

See Also:


Attachments
patch: update uidNumber/gidNumber ldap queries. (2.35 KB, patch)
2005-03-07 16:07 UTC, Vince Brimhall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vince Brimhall 2005-03-07 16:07:23 UTC
The uidNumber and gidNumber are converted to strings as unsigned integers before
being passed to LDAP. This does not match with the definitions in rfc2307

http://www.ietf.org/rfc/rfc2307.txt?number=2307

where they are signed values. When a search is done using uidNumber or gidNumber
and the value exceeds the maximum positive integer value NDS returns a syntax error.

I've attached a patch which forces these values to signed integers in the ldap
query so that LDAP servers which do strict checking won't fail an large values.
Comment 1 Vince Brimhall 2005-03-07 16:07:59 UTC
Created attachment 1014 [details]
patch: update uidNumber/gidNumber ldap queries.
Comment 2 Gerald (Jerry) Carter 2005-03-07 16:18:11 UTC
patch looks good to me.  I'll do some local testing and 
then check it into 3.0.  Thanks.
Comment 3 Gerald (Jerry) Carter 2005-03-09 08:22:13 UTC
applied. Thanks.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:27:04 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.